%global momorel 2

%global xfce4ver 4.10.0
%global major 1.2

Name: 		xfce4-netload-plugin
Version: 	1.2.2
Release:	%{momorel}m%{?dist}
Summary: 	XFce4 netload plugin

URL:		http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:	http://archive.xfce.org/src/panel-plugins/%{name}/%{major}/%{name}-%{version}.tar.bz2
NoSource:	0
#Patch0:		xfce4-netload-0.4.0-asneeded.patch
License:	BSD and GPL and LGPL
Group: 		User Interface/Desktops

BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gtk2-devel
BuildRequires:  libxfce4ui-devel  >= %{xfce4ver}
BuildRequires:  libxfce4util-devel  >= %{xfce4ver}
BuildRequires:  libxml2-devel
BuildRequires:  pkgconfig
BuildRequires:  xfce4-panel-devel >= %{xfce4ver}
Requires:	xfce4-panel >= %{xfce4ver}

%description 
A network load monitor plugin for the panel of XFce4.

%prep
%setup -q
#%%patch0 -p1 -b .asneeded

%build
%configure --disable-static
%make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -name "*.la" -delete
%find_lang %{name}


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/xfce4/panel/plugins/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/xfce4/panel-plugins/*.desktop


%changelog
* Sun Mar  1 2015  Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.2.2-2m)
- rebuild against xfce4-4.12.0

* Tue Nov  4 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.2.2-1m)
- update to 1.2.2

* Wed Sep  5 2012 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.2.0-1m)
- update
- build against xfce4-4.10.0

* Sun May 29 2011 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.0-1m)
- rebuild against xfce4-4.8

* Fri May 20 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.4.0-13m)
- update source URL

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.4.0-12m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.4.0-11m)
- rebuild for new GCC 4.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4.0-10m)
- full rebuild for mo7 release

* Tue Aug 10 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4.0-9m)
- rebuild against xfce4-4.6.2

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.4.0-8m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Mar 04 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.4.0-7m)
- fix BuildRequires

* Sun Mar  1 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4.0-6m)
- rebuild against xfce4-4.6

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.4.0-5m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4.0-4m)
- rebuild against gcc43

* Tue Dec  4 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4.0-3m)
- rebuild against xfce4 4.4.2

* Fri Apr 20 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4.0-2m)
- rebuild against xfce4 4.4.1

* Mon Jan 29 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4.0-1m)
- update to 0.4.0
- rebuild against xfce4 4.4.0

* Fri Sep  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.3-2m)
- delete libtool library
- rebuild against libxfcegui4-4.2.3-2m xfce4-panel-4.2.3-4m
-- libxfce4util-4.2.3.2-2m

* Sat Jun  3 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.3.3-1m)
- update to 0.3.3

* Fri May 20 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.1-1m)
- rebuild against xfce4 4.2.2

* Thu Mar 17 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.4-2m)
- rebuild against xfce4 4.2.1

* Mon Jan 17 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.4-1m)
- update to 0.2.4
- rebuild against xfce4 4.2.0

* Tue Dec 14 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.2.3-3m)
- rebuild against xfce4 4.1.99.2

* Thu Oct 28 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.3-2m)
- rebuild against xfce4 4.1.90

* Sun Sep  5 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.2.3-1m)
- version up

* Sun Apr 18 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.2.2-5m)
- rebuild against xfce4 4.0.5

* Sun Feb  1 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.2.2-4m)
- revise %files

* Sun Jan 11 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.2-3m)
- rebuild against xfce4 4.0.3

* Mon Dec 01 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.2-2m)
- rebuild against xfce4-4.0.1

* Wed Oct 29 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (0.2.2-1m)
- version 0.2.2

* Tue Oct 14 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (0.2.1-1m)
- version 0.2.1

* Sat Sep 20 2003 HOSONO Hidetomo <h12o@h12o.org>
- (0.2.0-1m)
